Oauth Authorize - SuperAI Flows
Oauth Authorize
cURL
curl --request POST \
--url https://flows.super.ai/api/plugins/{plugin_name}/oauth/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"integration_name": "<string>",
"provider_name": "<string>",
"redirect_to": "<string>"
}
'
Python
import requests
url = "https://flows.super.ai/api/plugins/{plugin_name}/oauth/authorize"
payload = {
"integration_name": "<string>",
"provider_name": "<string>",
"redirect_to": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
integration_name: '<string>',
provider_name: '<string>',
redirect_to: '<string>'
})
};
fetch('https://flows.super.ai/api/plugins/{plugin_name}/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Error Response
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Authorizations
X-API-Key (string, header, required): API key authentication. Include your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEY. Example:X-API-Key: saf_1234567890Authorization (string, header, required): JWT Bearer token authentication. Include your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKEN. Example:Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
- plugin_name (string, required): The name of the plugin.
Body
- integration_name (string, required)
- provider_name (string, required)
- redirect_to (string, required)
Response
- 200: Successful Response.